/**
 * @uses jQuery
 * @uses ep
 */
define('de_epages/dhlintraship/ui/shippinglabel_packstation', [
    'jquery',
    'ep',
], function($, ep) {
    'use strict';

    return function() {
      $('input[name=IsPickupAddress]').on('change', function(){
        if ($(this).prop('checked')) {
          $('input[name=DHLPostNumber]').prop('disabled', false);
          $('.given-name').show();
          $('.family-name').show();
        }
        else {
          $('input[name=DHLPostNumber]').prop('disabled', true);
          var result = $('.family-name').text().match(/^\d+$/g);
          if (result !== 'undefined' && result !== null) {
            $('.given-name').hide();
            $('.family-name').hide();
          }
        }
      });
    }
  }
);